跳至內容
ShopentlyLearn

移除可用單位

說明原因後移除未售出的兌換碼或檔案。已預留或已分配單位會遭到拒絕。

POST/api/v1/inventory/products/{product_id}/digital-units/{unit_id}/content-deletion

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-units/00000000-0000-4000-8000-000000000003/content-deletion \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: 2c2219ee-ab71-5090-896d-c2a0f2f33f69' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"reason":"Withdraw a revoked license"}'

回應

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000003",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
撤下尚未交付的代碼和檔案inventory.digital_unit:delete